/*
 * Copyright (c) 2015-2019, Renesas Electronics Corporation
 * All rights reserved.
 */

#pragma once
#include <stdint.h>

#define RCAR_V3M_DDR_VERSION    "rev.0.8"

uint32_t init_ddr_v3m1600(void);
uint32_t init_ddr_v3m1333(void);

uint32_t init_ddr_v3m1583(void);
uint32_t init_ddr_v3m1316(void);

uint32_t init_ddr_v3m1580(void);
uint32_t init_ddr_v3m1320(void);

uint32_t pll3_freq_change_bypmode_1316(void);
uint32_t pll3_freq_change_bypmode_1583(void);
